Skip to main content
GET
/
workspace
/
services
List of Service Accounts
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/services \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "state": "staged",
    "environment": "demo",
    "name": "<string>",
    "handle": "<string>",
    "description": "<string>",
    "admin_notes": "<string>",
    "audit_notes": "<string>",
    "permission_notes": "<string>",
    "token_notes": "<string>",
    "ipv4_allowed": [
      "<string>"
    ],
    "ipv6_allowed": [
      "<string>"
    ],
    "timestamp": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "activated_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "last_activity_at": "2023-11-07T05:31:56Z",
      "last_authenticated_at": "2023-11-07T05:31:56Z"
    },
    "count": {
      "workspace_logs_parent": 123,
      "workspace_logs_record": 123,
      "workspace_admins": 123,
      "workspace_roles": 123,
      "workspace_tokens": 123
    },
    "_embedded": [
      "<string>"
    ],
    "_links": {
      "self": "<string>",
      "admins": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[created_before]
string
filter[created_after]
string
filter[updated_before]
string
filter[updated_after]
string
filter[expires_before]
string
filter[expires_after]
string
filter[expired_before]
string
filter[expired_after]
string
filter[deactivated_before]
string
filter[deactivated_after]
string
filter[deleted_before]
string
filter[deleted_after]
string
filter[id]
string

Filter by an exact match of the service ID

filter[environment]
string

Filter by the type of environment

filter[name]
string

Filter by an exact match of the name field

Filter by a partial match of the name field

filter[handle]
string

Filter by an exact match of the handle field

Filter by a partial match of the handle field

Filter by a partial match of the description field

Filter by a partial match of the admin notes field

Response

The collection of WorkspaceServiceDetailedResponseData

id
string
required
Example:

"wssvc_01hq8xyzabc123def456ghi789"

state
enum<string>
required
staged
The record is staged and is only visible to administrators or in the API. Use the activate method during your change window.
active
The record is active.
expiring
The expires_at value is set in the future for the record. You can run the activate action to remove the scheduled expiration.
expired
The expires_at value is in the past and the record was deactivated.
deactivated
The record was deactivated manually by an administrator.
Available options:
staged,
active,
expiring,
expired,
deactivated
environment
enum<string>
required
demo
Demo Environment with Seeded Industry Data
sandbox
Sandbox and Experiment Environment
development
Local Development Environment
testing
Automated or Unit Environment
staging
Staging or User Acceptance Testing Environment
production
Production Environment
unknown
New Environment (Not Configured Yet)
Available options:
demo,
sandbox,
development,
testing,
staging,
production,
unknown
name
string
required
handle
string
required
description
string | null
required
admin_notes
string | null
required
audit_notes
string | null
required
permission_notes
string | null
required
token_notes
string | null
required
ipv4_allowed
string[] | null
required
ipv6_allowed
string[] | null
required
timestamp
WorkspaceServiceNestedTimestampResponseData · object
required
count
WorkspaceServiceNestedCountResponseData · object
required
_embedded
string[]
required

API hyperlinks related to the workspace service record

Example:
{
"self": "https://ws-a1b2c3.provisionr.io/api/v1/workspace/services/wssvc_01hq8xyzabc123def456ghi789"
}